// load in and process data 
import {
  csv,
  range
} from 'd3';


export const loadAndProcessData = () => 

csv('https://vizhub.com/KCachel/datasets/ExtendedPM25data.csv')
  .then(data => {
    data.forEach(d => {
      d.date = new Date(d.Date);
      d.year = +d.Year;
      d.NitricOxide = +d.NitricOxide;
      d.NitrogenDioxide = +d.NitrogenDioxide;
      d.OxidesofNitrogen = +d.OxidesofNitrogen;
      d.Ozone = +d.Ozone;
      d.PM10 = +d.PM10;
      d['PM2.5'] = +d['PM2.5'];
      d.SulphurDioxide = d.SulphurDioxide
    });
   // console.log(data);
    
    return data;
  });
   
